function f3(j)
%f3(j), j=1:1:5
%i sinartisi afti dexetai san orismata akeraious apo to 1 eos to 5 oste 
%o xristis na epileksi metaksi
%1)|--Dirichlet-Dirichlet--| 
%2)|--Neumann-Dirichlet--|
%3)|--Dirichlet-Neumann--|
%4)|--Neumann-Neumann--|
%5)|--Periodiki sinartisi sta akra--|
%kai vriskei to deikti katastasis tou A gia n=2^i me i=6:1:10
%to A mporei na exei diafora xaraktiristika
%i sinartisi mas afti ftiaxnei 4on eidon A me diaforetiko sindiasmo
%xaraktiristikon, ta eidoi ton A einai ta A,B,C,D pou fainontai sta sxolia
%esoterika tis sinartisis gia to poia ta xaraktiristika tou kathe mitroou
%gia kathe provlima sinoriakon timon

condition=zeros(4,5);
n=[2^6;2^7;;2^8;2^9;2^10];
d=[1 0 0;2 1 0;3 0 1;4 1 1;5 0 0];

%A
%thetika orismeno-araio---->Dirichlet-Dirichlet
%thetika orismeno-araio---->Neumann-Dirichlet
%thetika orismeno-araio---->Dirichlet-Neumann
%thetika orismeno-araio---->Neumann-Neumann
%thetika orismeno-araio---->Periodikes
for i=6:1:10
    [A,F]=f1('cos(x)','x','sin(x)+cos(x)*(cos(x))+(x)*(sin(x))', 0, 2*pi,2^i, d(j,1),d(j,2),d(j,3));
    condition(1,i-5)=condest(A);
end

%B
%simmetriko-thetika orismeno-araio---->Dirichlet-Dirichlet
%simmetriko-thetika orismeno-araio---->Neumann-Dirichlet
%simmetriko-thetika orismeno-araio---->Dirichlet-Neumann
%simmetriko-thetika orismeno-araio---->Neumann-Neumann
%simmetriko-thetika orismeno-araio---->Periodikes
for i=6:1:10
    [A,F]=f1('0','x','sin(x)+0*(cos(x))+(x)*(sin(x))', 0, 2*pi,2^i, d(j,1),d(j,2),d(j,3));
    condition(2,i-5)=condest(A);
end

%C
%thetika orismeno-toeplitz-araio---->Dirichlet-Dirichlet
%thetika orismeno-toeplitz-araio---->Neumann-Dirichlet
%thetika orismeno-toeplitz-araio---->Dirichlet-Neumann
%thetika orismeno-toeplitz-araio---->Neumann-Neumann
%thetika orismeno-toeplitz-araio-kikloteres---->Periodikes
for i=6:1:10
    [A,F]=f1('5','1','sin(x)+5*(cos(x))+(1)*(sin(x))', 0, 2*pi,2^i, d(j,1),d(j,2),d(j,3));
    condition(3,i-5)=condest(A);
end

%D
%simmetriko-thetika orismeno-toeplitz-araio---->Dirichlet-Dirichlet
%simmetriko-thetika orismeno-toeplitz-araio---->Neumann-Dirichlet
%simmetriko-thetika orismeno-toeplitz-araio---->Dirichlet-Neumann
%simmetriko-thetika orismeno-toeplitz-araio---->Neumann-Neumann
%simmetriko-thetika orismeno-toeplitz-araio-kikloteres---->Periodikes
for i=6:1:10
    [A,F]=f1('0','1','sin(x)+0*(cos(x))+(1)*(sin(x))', 0, 2*pi,2^i, d(j,1),d(j,2),d(j,3));
    condition(4,i-5)=condest(A);
end

semilogy(n, condition(1,:), 'r.-');
% kanoume hold gia na emfanistoun se koini grafiki parastasi
hold on;
semilogy(n, condition(2,:), 'm.-');
semilogy(n, condition(3,:), '.-');
semilogy(n, condition(4,:), 'g.-');
legend('A','B','C','D')
hold;